Move anti-staging images checker to oom repo 86/114586/3
authorJakub Latusek <j.latusek@samsung.com>
Wed, 4 Nov 2020 10:20:31 +0000 (11:20 +0100)
committerJessica Wagantall <jwagantall@linuxfoundation.org>
Wed, 4 Nov 2020 17:33:34 +0000 (17:33 +0000)
Anti-staging images checker used in oom should be avaliable for user
during local deployment, so we should move it to oom makefile

Signed-off-by: Jakub Latusek <j.latusek@samsung.com>
Issue-ID: OOM-2616
Change-Id: I1f22d2c82a41328cc974abd4c2659551cf5e2138

jjb/oom/oom-helm.yaml
jjb/oom/oom-image-verify.yaml [new file with mode: 0644]

index 4b0803c..71d5774 100644 (file)
         #!/bin/bash
         set -e -o pipefail
         cd kubernetes/
-        if [ "$GERRIT_BRANCH" != "staging" ]; then
-          if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
-            echo "[ERROR] Only release images are allowed in helm charts."
-            exit 1
-          fi
-        fi
         make all
     subproject_build_script: |
         #!/bin/bash
         cd kubernetes/
-        if [ "$GERRIT_BRANCH" != "staging" ]; then
-          if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
-            echo "[ERROR] Only release images are allowed in helm charts."
-            exit 1
-          fi
-        fi
         make common
         make {subproject}
     oom_post_build_script: !include-raw-escape: shell/publish_helm_charts.sh
@@ -99,6 +87,8 @@
           files: 'kubernetes/vnfsdk/**'
 
     jobs:
+      - '{project-name}-{stream}-image-verify':
+          files: '**'
       - '{project-name}-{stream}-verify-helm':
           build_script: '{oom_build_script}'
           files: '**'
diff --git a/jjb/oom/oom-image-verify.yaml b/jjb/oom/oom-image-verify.yaml
new file mode 100644 (file)
index 0000000..58240f9
--- /dev/null
@@ -0,0 +1,27 @@
+---
+- job-template:
+    name: '{project-name}-{stream}-image-verify'
+    project-type: freestyle
+    path: '$WORKSPACE'
+    concurrent: true
+
+    scm:
+      - gerrit-trigger-scm:
+          refspec: '$GERRIT_REFSPEC'
+          choosing-strategy: 'gerrit'
+          submodule-recursive: '{submodule-recursive}'
+
+    triggers:
+      - gerrit-trigger-helm-patch-submitted:
+          status-context: '{project}-Helm-Verify'
+          server: '{server-name}'
+          project: '{project}'
+          branch: '{branch}'
+          files: '{files}'
+
+    builders:
+      - lf-infra-pre-build
+      - shell: 'make check-for-staging-images | true'
+
+    publishers:
+      - infra-shiplogs: